package org.springblade.estate.feign;

import org.springblade.core.mp.support.BladePage;
import org.springblade.core.tool.api.R;
import org.springblade.estate.dto.ApplyUserDTO;
import org.springblade.estate.entity.ApplyUser;
import org.springblade.estate.vo.ApplyUserVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class ApplyUserClientFallback implements IApplyUserClient {
            /**
         * 详情
         */
        @Override
        public ApplyUserVO detail(ApplyUser applyUser) {
            return null;
        }

	@Override
	public ApplyUser getById(Long id) {
		return null;
	}

	/**
         * 查询 申请用户表---房屋成员
         */
        @Override
        public List<ApplyUserVO> list(ApplyUser applyUser) {
            return null;
        }

    @Override
    public BladePage<ApplyUserVO> page(ApplyUserDTO applyUserDTO) {
        return null;
    }

    @Override
	public BladePage<ApplyUserVO> pageCondition(ApplyUserDTO applyUserDTO) {
		return null;
	}


	@Override
	public boolean authentication(ApplyUser applyUser) {
		return false;
	}

	@Override
	public boolean addApplyUserForFamily(ApplyUser applyUser) {
		return false;
	}

	@Override
	public R appUpdateAuditStatus(ApplyUserDTO applyUserDTO) {
		return null;
	}


	/**
         * 新增 申请用户表---房屋成员
         */
        @Override
        public boolean save( ApplyUser applyUser) {
            return false;
        }

        /**
         * 修改 申请用户表---房屋成员
         */
        @Override
        public boolean update( ApplyUser applyUser) {
            return false;
        }

        /**
         * 新增或修改 申请用户表---房屋成员
         */
        @Override
        public boolean submit( ApplyUser applyUser) {
            return false;
        }


        /**
         * 删除 申请用户表---房屋成员
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public BladePage<ApplyUserVO> getAllApplyUserByCondition(ApplyUserDTO applyUserDTO) {
		return null;
	}

	@Override
	public List<ApplyUser> getByAuditStatus(ApplyUserDTO applyUserDTO) {
		return null;
	}

	@Override
	public List<ApplyUser> getListByMember(Long memberId, Long residentialId, Long roomId, Integer auditStatus) {
		return null;
	}

    @Override
    public Boolean logout(Long memberId) {
        return null;
    }
}
